unitd(8)

Name
unitd - runs the NGINX Unit daemon

Synopsis
unitd [- -no-daemon] [- -control socket] [- -control-mode mode] [- -control-user user] [- -control-group group] [- -group name] [- -user name] [- -log file] [- -modulesdir directory] [- -pid file] [- -statedir directory]
unitd [-h | - -help | - -version]

Description
NGINX Unit is a polyglot app server, a reverse proxy, and a static file server for UNIX-like systems. It was built by nginx(8) team members from scratch to be highly efficient and fully configurable at runtime.

Options

-h, - -help
    Displays a summary of Unit's command-line options and their compile-time defaults.

- -version
    Displays Unit's version and the ./configure settings it was built with.

- -no-daemon
    Runs Unit in non-daemon mode.

- -control socket
    Overrides the control API's socket address in IPv4, IPv6, or UNIX-domain format.

- -control-mode mode
    Sets the permission of the UNIX-domain control socket.

- -control-user user
    Sets the owner of the UNIX-domain control socket.

- -control-group group
    Sets the group of the UNIX-domain control socket.

- -group name, - -user name
    Override group name and user name used to run Unit's non-privileged processes.

- -log file
    Overrides the pathname for Unit's log.

- -modulesdir directory
    Overrides the directory path for Unit's language modules (*.unit.so) files.

- -pid file
    Overrides the pathname for the PID file of Unit's main process.

- -statedir directory
    Overrides the directory path for Unit's state storage.

Exit status
Exit status is 0 on success, or 1 if the daemon encounters an error.

Files

/var/run/unit/unit.pid
    The PID file of Unit's main process.

/var/log/unit/unit.log
    A general-purpose log for diagnostics and troubleshooting.

Sockets

unix:/var/run/unit/control.unit.sock
    The socket address of Unit's control API.

Copyright
(C) 2017-2025 NGINX, Inc.
(C) 2017-2025 Andrei Zeliankou
(C) 2018-2025 Konstantin Pavlov
(C) 2021-2025 Zhidao Hong
(C) 2022-2025 Andrew Clayton
(C) 2022-2025 Liam Crilly
(C) 2023-2025 Dan Callahan
(C) 2023-2025 Igor Ippolitov
(C) 2024-2025 Ava Hahn
(C) 2023-2024 Danielle De Leo
(C) 2023-2024 Dylan Arbour
(C) 2023-2024 Gabor Javorszky
(C) 2023-2024 Taryn Musgrave
(C) 2021-2023 Alejandro Colomar
(C) 2017-2022 Valentin V. Bartenev
(C) 2017-2022 Max Romanov
(C) 2021-2022 Oisín Canty
(C) 2017-2021 Igor Sysoev
(C) 2017-2021 Andrei Belov
(C) 2019-2021 Tiago Natel de Moura
(C) 2019-2020 Axel Duch
(C) 2018-2019 Alexander Borisov

SPDX-License-Identifier: Apache-2.0

See also
Website: https://unit.nginx.org

User mailing list: https://mailman.nginx.org/mailman/listinfo/unit

GitHub: https://github.com/nginx/unit